curl --request POST \
--url https://api.example.com/api/v1/deployments/{deploymentId}/sbom/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": 123,
"formatVersion": {
"cyclonedxVersion": "SBOM_CYCLONE_DX_VERSION_V1_7",
"format": "SBOM_FORMAT_CYCLONEDX"
},
"metadataComponentType": "SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_APPLICATION",
"metadataSupplier": {
"contact": {
"email": "<string>",
"name": "<string>",
"phone": "<string>"
},
"name": "<string>",
"url": "<string>"
},
"ref": "refs/pull/1234/merge",
"repositoryId": 123,
"sbomOutputFormat": "SBOM_OUTPUT_FORMAT_JSON"
}
'import requests
url = "https://api.example.com/api/v1/deployments/{deploymentId}/sbom/export"
payload = {
"deploymentId": 123,
"formatVersion": {
"cyclonedxVersion": "SBOM_CYCLONE_DX_VERSION_V1_7",
"format": "SBOM_FORMAT_CYCLONEDX"
},
"metadataComponentType": "SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_APPLICATION",
"metadataSupplier": {
"contact": {
"email": "<string>",
"name": "<string>",
"phone": "<string>"
},
"name": "<string>",
"url": "<string>"
},
"ref": "refs/pull/1234/merge",
"repositoryId": 123,
"sbomOutputFormat": "SBOM_OUTPUT_FORMAT_JSON"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: 123,
formatVersion: {
cyclonedxVersion: 'SBOM_CYCLONE_DX_VERSION_V1_7',
format: 'SBOM_FORMAT_CYCLONEDX'
},
metadataComponentType: 'SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_APPLICATION',
metadataSupplier: {
contact: {email: '<string>', name: '<string>', phone: '<string>'},
name: '<string>',
url: '<string>'
},
ref: 'refs/pull/1234/merge',
repositoryId: 123,
sbomOutputFormat: 'SBOM_OUTPUT_FORMAT_JSON'
})
};
fetch('https://api.example.com/api/v1/deployments/{deploymentId}/sbom/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taskToken": "<string>"
}Create a new SBOM export job
Authorizations
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.
123
Body
Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.
123
Show child attributes
Show child attributes
Metadata component type for the SBOM export.
| value | description |
|---|---|
| SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_APPLICATION | |
| SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_FRAMEWORK | |
| SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_LIBRARY | |
| SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_CONTAINER | |
| SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_PLATFORM | |
| SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_OPERATING_SYSTEM | |
| SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_DEVICE | |
| SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_DEVICE_DRIVER | |
| SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_FIRMWARE | |
| SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_FILE | |
| SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_MACHINE_LEARNING_MODEL | |
| SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_DATA |
SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_APPLICATION, SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_FRAMEWORK, SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_LIBRARY, SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_CONTAINER, SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_PLATFORM, SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_OPERATING_SYSTEM, SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_DEVICE, SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_DEVICE_DRIVER, SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_FIRMWARE, SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_FILE, SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_MACHINE_LEARNING_MODEL, SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_DATA "SBOM_METADATA_COMPONENT_TYPE_CYCLONE_DX_V15_APPLICATION"
Show child attributes
Show child attributes
Branch to export SBOM for (Ex. ref=refs/pull/1234/merge).
"refs/pull/1234/merge"
Repository ID to export SBOM for.
123
SBOM output format for the SBOM export.
| value | description |
|---|---|
| SBOM_OUTPUT_FORMAT_JSON |
SBOM_OUTPUT_FORMAT_JSON, SBOM_OUTPUT_FORMAT_CYCLONEDX "SBOM_OUTPUT_FORMAT_JSON"
Response
OK
Task token for the SBOM export job.
Was this page helpful?